API Endpoint: https://tools-api.lordsill.de
GET /gw2/logs/{collection|account}
Request all logs in a collection or from an account. Requesting logs from accounts will always be successful but will contain an empty data array if the account is unknown or the account has no logs.
GET /gw2/logs/{collection|account}/date/{year}-{week}
Request only logs in a collection or from an account made in a specific week (2-digit) and year (4-digit). Requesting logs from accounts will always be successful but will contain an empty data array if the account is unknown or the account has no logs.
GET /gw2/logs/{collection|account}/date/{year}-{month}-{day}
Request only logs in a collection or from an account made on a specific date. Requesting logs from accounts will always be successful but will contain an empty data array if the account is unknown or the account has no logs. {month} and {day} are always 2-digit.
GET /gw2/logs/{collection|account}/statistics
Parameters:
Get the global (or weekly) statistics for a collection or an account. Requesting for an account will always be successful but will not contain any statistics if account is unknown or no logs are made.
- String week (optional): If set it will only be the statistics for a specific week. Example: 2020-01
GET /gw2/logs/{collection}/players
Get all players participating in the collection. Ordered by log count, account name
GET /gw2/logs/query
Parameters:
Get all logs matching your query parameters. Global Query is disabled so parameter 'collection' and/or 'player' is required
- String collection (semi-optional): Name of the collection
- String player (semi-optional): Name of the player (account or character)
- Number boss (optional): Id of the boss
- Number cm (optional): Only CM logs (cm=1) or only Non-CM logs (cm=0). Requires boss parameter.
- Number start (optional): UNIX Timestamp of the lower part of the time-interval. Requires end parameter.
- Number end (optional): UNIX Timestamp of the higher part of the time-interval. Requires start parameter.
POST /gw2/logs/upload
Parameters:
Used to upload a new log. This will take some time to parse the log file and forward the upload to dps.report
- String collection (required): Name of the collection the log should be stored in
- String key (required): Key for authorizing the upload
- File file (required): The log file (zevtc, evtc)
- String token (optional): UserToken used to upload on dps.report
GET /gw2/logs/retrieve-key/{gw2-api-key}
Get your internal token. Requires a valid GW2 API Key with account scope. The GW2 API Key can be deleted after retrieving key
GET /gw2/logs/id/{id}
Get a single log matching the id
DELETE /gw2/logs/id/{id}
Parameters:
Delete a single log matching the id
- String key (required): The same key that is also used to upload to the collection the log is part of.